Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes

# ClusterClient Class Reference

Inheritance diagram for ClusterClient:

List of all members.

## Public Member Functions
def | __init__
def | __call__
def | addControlMapping
def | addNamedObjectMapping
def | addObjectTag
def | controlObjectTask
def | deselectNodePath
def | exit
def | getNodePathFindCmd
def | getNodePathName
def | handleDatagram
def | handleMessageQueue
def | handleNamedMovement
def | loadModel
def | moveCamera
def | moveCameraTask
def | moveObject
def | moveSelectedTask
def | redoSortedPriorities
def | removeControlMapping
def | removeObjectMapping
def | removeObjectTag
def | selectNodePath
def | sendCamFrustum
def | sendNamedMovementDone
def | setControlMappingOffset
def | startControlObjectTask
def | startMoveCamTask
def | startMoveSelectedTask
def | startReaderPollTask
def | startSynchronizeTimeTask
def | synchronizeTimeTask
## Public Attributes
| controlMappings
| controlOffsets
| controlPriorities
| daemon
| msgHandler
| objectHasColor
| objectMappings
| qcm
| serverList
| serverQueues
| sortedControlMappings
| taggedObjects
## Static Public Attributes
int | MGR_NUM = 1000000
tuple | notify = DirectNotifyGlobal.directNotify.newCategory("ClusterClient")

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | configList,
|  |  | clusterSyncFlag
| ) |  |

Reimplemented in ClusterClientSync.

## Member Function Documentation

def __call__ | ( |  | self,
|  |  | commandString,
|  |  | fLocally = `1`,
|  |  | serverList = `[]`
| ) |  |

def addControlMapping | ( |  | self,
|  |  | objectName,
|  |  | controlledName,
|  |  | serverList = `None`,
|  |  | offset = `None`,
|  |  | priority = `0`
| ) |  |

def addNamedObjectMapping | ( |  | self,
|  |  | object,
|  |  | name,
|  |  | hasColor = `True`
| ) |  |

def addObjectTag | ( |  | self,
|  |  | object,
|  |  | selectFunction,
|  |  | deselectFunction,
|  |  | selectArgs,
|  |  | deselectArgs
| ) |  |

def controlObjectTask | ( |  | self,
|  |  | task
| ) |  |

def deselectNodePath | ( |  | self,
|  |  | nodePath
| ) |  |

def exit | ( |  | self | ) |

def getNodePathFindCmd | ( |  | self,
|  |  | nodePath
| ) |  |

def getNodePathName | ( |  | self,
|  |  | nodePath
| ) |  |

def handleDatagram | ( |  | self,
|  |  | dgi,
|  |  | type,
|  |  | server
| ) |  |

def handleMessageQueue | ( |  | self,
|  |  | server
| ) |  |

def handleNamedMovement | ( |  | self,
|  |  | data
| ) |  |

    Update cameraJig position to reflect latest position

def loadModel | ( |  | self,
|  |  | nodePath
| ) |  |

def moveCamera | ( |  | self,
|  |  | xyz,
|  |  | hpr
| ) |  |

Reimplemented in ClusterClientSync.

def moveCameraTask | ( |  | self,
|  |  | task
| ) |  |

def moveObject | ( |  | self,
|  |  | nodePath,
|  |  | object,
|  |  | serverList,
|  |  | offset,
|  |  | hasColor = `True`
| ) |  |

def moveSelectedTask | ( |  | self,
|  |  | state
| ) |  |

def redoSortedPriorities | ( |  | self | ) |

def removeControlMapping | ( |  | self,
|  |  | name,
|  |  | serverList = `None`
| ) |  |

def removeObjectMapping | ( |  | self,
|  |  | name
| ) |  |

def removeObjectTag | ( |  | self,
|  |  | object
| ) |  |

def selectNodePath | ( |  | self,
|  |  | nodePath
| ) |  |

def sendCamFrustum | ( |  | self,
|  |  | focalLength,
|  |  | filmSize,
|  |  | filmOffset,
|  |  | indexList = `[]`
| ) |  |

def sendNamedMovementDone | ( |  | self,
|  |  | serverList = `None`
| ) |  |

def setControlMappingOffset | ( |  | self,
|  |  | objectName,
|  |  | offset
| ) |  |

def startControlObjectTask | ( |  | self | ) |

def startMoveCamTask | ( |  | self | ) |

def startMoveSelectedTask | ( |  | self | ) |

def startReaderPollTask | ( |  | self | ) |

    Task to handle datagrams from server

def startSynchronizeTimeTask | ( |  | self | ) |

def synchronizeTimeTask | ( |  | self,
|  |  | task
| ) |  |

## Member Data Documentation

controlMappings

controlOffsets

controlPriorities

daemon

int MGR_NUM = 1000000`[static]`

msgHandler

tuple notify = DirectNotifyGlobal.directNotify.newCategory("ClusterClient")`[static]`

objectHasColor

objectMappings

qcm

serverList

serverQueues

sortedControlMappings

taggedObjects

All Classes Namespaces Functions Variables Enumerations Enumerator Properties